Ubuntu

no config tool currently provided for Ubuntu Unity Plugin

Reported by Doug McMahon on 2011-04-03
132
This bug affects 28 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

At the moment there is no gui config tool provided for the unity plugin and possibly a few other compiz plugins
I can't see ccsm being default installed, users can't be expected to use gsettings, dconf-editor or gconf-editor
One should be in place fairly soon

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,vpswitch,move,compiztoolbox,regex,imgpng,place,mousepoll,unitymtgrabhandles,gnomecompat,animation,resize,session,expo,wall,ezoom,staticswitcher,fade,scale,unityshell]
Date: Sat Apr 2 20:31:23 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Doug McMahon (mc3man) wrote :

We are aiming for a zero-config experience. CCSM is there because we
have experimental options available for testing, but we do not want any
visible options at this stage.

 status invalid

Mark

Changed in unity (Ubuntu):
status: New → Invalid
Mark (umberstark) wrote :

Will wait for the inevitable 3rd party software to achieve just this then. Zero-config is not the way to go. I can say right now I wouldn't even be thinking about using Unity if it wasn't for the "experimental" option to resize it. It's stupidly big on my screen at 48 pixels.

Zero-config = Zero-choice...

(yes I can choose not to use Unity etc blah blah)

Doug McMahon (mc3man) wrote :

I guess that's understandable if some or all of the "experimental" options are considered unstable. The idea of a "zero-config experience" feels a bit thin considering that the launcher hide mode and icon size will be factor in the user's experience.
To limit that to one predetermined setting seems a bit unfortunate.

The end result is many users who of had no reason to will now be installing ccsm which can cause as much trouble as good.

John Webster (civil-bigpond) wrote :

Perhaps Canonical plans to offer a configuration option as a commercial service?

Mark Shuttleworth (sabdfl) wrote :

No, we have no plans to offer configuration as a commercial service.

We just think that the users who want this config can easily handle CCSM.

VinDSL (perfect-pecker) wrote :

Whew! That's a relief... I think.

So, CCSM will still be available in the repos, and the experimental settings will remain in the Ubuntu Unity Plugin?

Jorge O. Castro (jorge) wrote :

CCSM is still in the repositories, you can do "alt+F2" and type "about:config", hit enter and that will take you directly to the Unity config section of ccsm.

Mark (umberstark) wrote :

You have to know to install it first...

This "zero-config" desicion is a mistake, and to be honest it will more than likely be reverted at some point because people like choice. But really, development of a config tool should have started the same day as Unity itself...

Tom Pino (metalsmith-rangeweb) wrote :

This "zero config" idea is just not right. You can do that on WinWhatever.

This is a major reason for switching to a Linux OS.

Eric Appleman (erappleman) wrote :

This is going to be more painful than when we lost GDM theming.

VinDSL (perfect-pecker) wrote :

Personally, I don't care what 'they' do, or don't do.

I'm going to make Unity look however I wish. Nobody is going to stop me.

Did anybody stop Mark Shuttleworth? Hell no! And, he came up with Unity.

The same applies to us!

Things are more exciting, when you don't have permission, right Mark?

We'll just have to work at it a bit harder, just like he did, that's all... :)

Andrea Azzarone (andyrock) wrote :

@Mark Shuttleworth, the Unity config tool will be available for Ubuntu 11.10? As you said: «but we do not want any
visible options at this stage».

Thanks.

Mark Shuttleworth (sabdfl) wrote :

On 03/04/11 12:21, VinDSL wrote:
> So, CCSM will still be available in the repos, and the experimental
> settings will remain in the Ubuntu Unity Plugin?

CCSM will remain in the repos. Some experimental settings will remain.
We have already seen cases where such settings resulted in additional
bugs, so we will remove experimental settings when the experiment is
over and we have an answer. We will not keep code paths around just
because somebody likes that option - if we did, the code would get
bloated and buggy and slow.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 04/04/11 12:39, VinDSL wrote:
> Personally, I don't care what 'they' do, or don't do.
>
> I'm going to make Unity look however I wish. Nobody is going to stop
> me.
>
> Did anybody stop Mark Shuttleworth? Hell no! And, he came up with
> Unity.
>
> The same applies to us!
>
> Things are more exciting, when you don't have permission, right Mark?
>
> We'll just have to work at it a bit harder, just like he did, that's
> all... :)

Well said.

DaNieL (daniele-pignedoli) wrote :

Sorry but i can not agree with hiding configuration settings (while i agree that they should be as easy as possible).

Shouldn't ubuntu encourage users to explore it and to tailor it on user's needs?

Apple do things like that, deciding what the user can or can not do.

Matteo Pagliazzi (paglia) wrote :

Mark, for natty we can do without a preinstalled configuration tool but in oneiric we need this.
Maybe integrated in the system control center that i hope will be improved for 11.10

Mark, please, incloude a simple config tool to Oneiric, it will be easier for Windows Users to migrate to ubuntu. Just try it :D

Changed in unity (Ubuntu):
status: Invalid → Opinion
Mark (umberstark) wrote :

The lengths you have to go to just to resize the dock/launcher are just plain farcical, and it's an "experimental" feature to boot so may not make the cut!

In Windows 7, I right-click the taskbar/superbar, select properties and set icons to small... job done.

Botton line is that I should not have to "know" about installing another piece of software just to configure an integral part of my desktop.

Matteo Pagliazzi (paglia) wrote :

So make something like windows7! i think that for base option should be ok! although i suggest to add options in teh system control center

DaNieL (daniele-pignedoli) wrote :

@Mark: I am not saying that the user have to use CCSM (that actually is a little verbose maybe), but it make nosense (in my honest opinion) to remove it, forcing users who want to configure unity to install it.

I would agree to make a -fast'n'easy- version of CCSM for the users with less experience, but leaving the option "Show full option list"..

After natty get out, i dont want to see another storm of blog posts about "How to configure Unity", why should we make this so uncomfortable?

Really, i dont understand; If the goal is to see what people will do without an easy way to customize unity, and then prepare the "perfect" tool for ocelot, its ok, but looks like the meaning is to prevent the user to do some things.. and this is hard to accept (for me).

Doug McMahon (mc3man) wrote :

The intent here, (of this bug), was to see if there was to be a simple way provided to adjust only the available unity plugin settings and possibly some general settings like desktop size (previously available in gnome-panels workspace switcher.

While post 14 has put a more complete perspective on this, I still believe one should be, unless by release there isn't anything of any significance remaining, at least in regards to user experience.

So in that light the 2 setting's that could be considered a positive for unity and user experience are the launcher mode and launcher/icon size.
If either or both of those remain adjustable then I'm sorry that I can't see the reasoning for not wanting to make this a visible feature of unity.

While obviously ccsm , gconf-editor, ect are available to users, in this limited instance, (unity plugin), they are less than ideal for the general user, many of which will not even know about.
(and there are plugins in ccsm that are quite likely to create issues on their own if enabled and or mis-configured

Brian Vaughan (bgvaughan) wrote :

When I upgraded to Natty, I was impressed at how icons I'd previously added to my GNOME panel, and two shortcuts to third-party applications on my desktop, were automatically added to the launcher.

However, this means that there are several icons on the launcher for applications I seldom use, and the launcher list is rather full. I'd think the three buttons for LibreOffice applications would be better replaced with a single button for the general LibreOffice launcher, at least for me.

I quickly found out (by accident) that the launcher buttons can be moved around, and it looks like it's easy enough to add and remove applications from the launcher. However, from many past experiences with munging GUI settings, I always look for a way to back up settings before I mess with them, or at the very least, I look for some way to reset everything to defaults. Looking for such a thing led me to this bug report.

I've long felt that while users -- even experienced users -- don't need or generally want to have all the obscure settings for an application right up front, it's easy enough to hide the fiddly bits behind an "Advanced Settings" button, and have a text configuration file, with comments, that can be edited by experienced users, and can be edited enterprise-wide by a sysadmin with a little shell scripting. It just seems at odds with the general design philosophy of Linux to remove configuration options entirely.

bwat47 (bwat47) wrote :

Making something easy to use is great, I commend that. I really like some things about unity, but this moronic trend that options are bad is absurd. Having no easily available options, believe it or not, ACTUALLY MAKES IT HARDER TO USE. Even very novice users change at least some basic settings in windows. Saying that average users never change their settings and advanced users should have to install seperate stuff is absolutely retarded. I am linux savvy, I know how to install ccsm and change settings from there, but I shouldn't have to. Thats extra steps that waste my time.

Ubuntu is supposed to be user friendly, Mark, you are taking that motto so far that you've actually taken it to the other side of the spectrum. There needs to be some sort of unity config by default. Its absurd that there isn't.

DaNieL (daniele-pignedoli) wrote :

@bwat74: according to comment #14, i think the config tool will be available when unity have more feedback from the users, so probably 11.10 will ship with a preinstalled tool.

I have to make my apologies, i misread comment #14 the first time, its not a bad idea to ship unity 'as it is' in the first time, then looking what community sais an do (i expect someone to make a ubuntu-tewak just for unity), then, when we have a large pools of ideas, costumization and needs about unity, will be easy make it better.

Felix Fluxresul (felixflux) wrote :

How does one change program arguments?

i need to start some apps with another commandline argument, how does one do that without an config?

elPraga (elpraga) wrote :

There are theree things I would find Unity hard to use if I could not change them.
1) size of the icons in the launcher - the default is way too big for my small screen
2) option to set the launcher always on top (for me) or some kinds of autohide (I have seen other people like this a lot)
3) The possibility to set the non active icons backround to transparent - it is way much easier to see if some apps are running or not

jeroenl (jeroenl) wrote :

There are two reasons I will not use Unity (yet):

1. I can't use my panel applets anymore.

2. I can't configure Unity. Especially the impossibility to resize the icons is a big step back in time.

I won't use Unity until at least these two problems are resolved.

Matteo Pagliazzi (paglia) wrote :

you can resize unity icons by the compiz config

There are at least 2 significant benefits coming from my perspective about what Mark Shuttleworth requested for the status of this bug (Invalid):
1.- Being the product (Unity) a totally new proposal for the Linux Desktop and/or the average PC (Windows) user, requires sincere feedback in order to polish and improve it's usability: There's a huge difference between getting feedback from a confused user asking "How-To's" with questions such as, How can I set the launcher to be hidden? or How can I change it's position? rather than the user criticizing how it looks after customization.

2.- Letting this tasks to independent or alternate developers increases the feedback and the whole project gets more people involved. Example: I encourage my self to create and share a very simple tool to set the Unity-2D preferences which I posted in my blog. By reading the few comments of that post, now you can tell some users love to set their desktop as similar as possible to Unity (3D) by enabling transparency on the Dash and shadows for the panel and windows, as well as being able to set the Launcher to Never-Hide, or sometimes hidden. But there are also questions on "How to disable the Volumes to be shown in the Launcher" since they take a lot of space from the screen (When users have many devices and/or partitions, I guess) and/or the reason why they are using Unity-2D instead of Unity. These comments not only give ideas of what to include or not, but also what to change.

We really have to keep in mind that making decisions of what to include in a Desktop Settings Tool is not that easy, in fact, it's probably something very hard.

Cheers,

-Mariano

Download full text (5.4 KiB)

To the Unity developers ...

I applaud your attempt to create a zero configuration desktop UI. I am sorry to say that my past experience tells me that you have undertaken to do something which is both impractical and impossible. I will try to explain as best I can why I hold this view.

About ten years ago I worked for a major business software developer and amongst the other things I did was to define the architecture which allowed a set of independently developed applications to be slammed together into a suite. This involved creating an application deployment manager, an installation manager and a unified configuration manager. As this work was in progress, another team was busy creating a successor product which was intentionally integrated and which they anticipated delivering with a zero configuration requirement (although not a zero installation configuration requirement). I attempted in vain to point out to them that they were mistaken in their optimism and that I could offer them appropriate configuration tools.

At the end of the day, experienced proved me to be correct. Why? I will explain in terms of the configuration issues which Unity will ultimately have to address.

All users have a relationship with the system on which they work which is intensely personal. This is because they use the system for the achievement of personal goals and this entails the use of individual varieties of data and in turn an individual set of computational capabilities. Moreover, for idiosyncratic reasons, where a computational goals may be achieved using any one of a set of similarly capable pieces of software (e.g. browsers), individual experience and personal taste will lead to specific preferences. Finally, there is the inescapable fact that few users will come to Unity without a past. They will encounter Unity, as I did, as a result of upgrading a system which they had tailored to respect their personal mental models and individual aesthetics.

I am sorry to say Unity's lack of configurability violates almost every consideration which makes a system a personally effective tool.

As regards data, this is the place in which it is least bad. The "Favourites" part of the menu launched by the F&F button at least honours my bookmarks selections (as best I can tell) but the drop down list appears to be unrelated and idiosyncratic. As near as I can tell, it is based on a history of recently accessed folders.

The "Applications" button launches a window which is sadly defective.

The notion of "Most Frequently Used" is based on the assumption that what I have done in the past is what I will do in the future. Wrong! The past does not define the future. If it did, VM paging systems would never encounter a page fault. I am the best judge of those things which I have done often in the past and which I expect to do equally often in the future. That is why I want to be able to pin apps to the launch bar. Let me be the judge but just make it dead easy to decide that I should pin an app to the launch bar.

The "Installed" area is even more problematic. On my system it is full of garbage. This garbage is mostly the result of the fact that I hav...

Read more...

Download full text (7.3 KiB)

Burton Leathers,

This is not a mailing list and I doubt anybody would read such a long message.

ccsm is there 'sudo apt-get install ccsm' would do it, and there is a
OOTB utility to change the launcher hide behavior, look in control
center.

On Mon, Jun 13, 2011 at 4:28 AM, Burton Leathers
<email address hidden> wrote:
> To the Unity developers ...
>
> I applaud your attempt to create a zero configuration desktop UI. I am
> sorry to say that my past experience tells me that you have undertaken
> to do something which is both impractical and impossible. I will try to
> explain as best I can why I hold this view.
>
> About ten years ago I worked for a major business software developer and
> amongst the other things I did was to define the architecture which
> allowed a set of independently developed applications to be slammed
> together into a suite. This involved creating an application deployment
> manager, an installation manager and a unified configuration manager. As
> this work was in progress, another team was busy creating a successor
> product which was intentionally integrated and which they anticipated
> delivering with a zero configuration requirement (although not a zero
> installation configuration requirement). I attempted in vain to point
> out to them that they were mistaken in their optimism and that I could
> offer them appropriate configuration tools.
>
> At the end of the day, experienced proved me to be correct. Why? I will
> explain in terms of the configuration issues which Unity will ultimately
> have to address.
>
> All users have a relationship with the system on which they work which
> is intensely personal. This is because they use the system for the
> achievement of personal goals and this entails the use of individual
> varieties of data and in turn an individual set of computational
> capabilities. Moreover, for idiosyncratic reasons, where a computational
> goals may be achieved using any one of a set of similarly capable pieces
> of software (e.g. browsers), individual experience and personal taste
> will lead to specific preferences. Finally, there is the inescapable
> fact that few users will come to Unity without a past. They will
> encounter Unity, as I did, as a result of upgrading a system which they
> had tailored to respect their personal mental models and individual
> aesthetics.
>
> I am sorry to say Unity's lack of configurability violates almost every
> consideration which makes a system a personally effective tool.
>
> As regards data, this is the place in which it is least bad. The
> "Favourites" part of the menu launched by the F&F button at least
> honours my bookmarks selections (as best I can tell) but the drop down
> list appears to be unrelated and idiosyncratic. As near as I can tell,
> it is based on a history of recently accessed folders.
>
> The "Applications" button launches a window which is sadly defective.
>
> The notion of "Most Frequently Used" is based on the assumption that
> what I have done in the past is what I will do in the future. Wrong! The
> past does not define the future. If it did, VM paging systems would
> never encounter a page fault. I am the best judge of th...

Read more...

Doug McMahon (mc3man) wrote :

Just wondering if there has been any further consideration to providing users with a visible tool to adjust unity-3d options, 'experimental' or otherwise.
The typical 'average' users experience, when finding out about ccsm & opening it has, if nothing else, proved eventful.
(& continues to do so.
Currently the big, obvious "Preferences" proves a bit too much for users to resist clicking on - give it a try on a new install or user.

Dario Cavedon (dcavedon) wrote :

You can now easily config Unity with a little app called MyUnity.

For Ubuntu 11.04 and 11.10 you can install MyUnity with these commands:

sudo add-apt-repository ppa:myunity/ppa
sudo apt-get update
sudo apt-get install myunity

For Ubuntu 12.04 and upcoming releases, you will find MyUnity in Ubuntu Software Center.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions